package market.Slm.OrderManagement.vo;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import market.Slm.ContractManagement.vo.SlmContractBaseStation;
import market.Slm.ContractManagement.vo.SlmContractLineLv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;

//@Table(name="SLM_ORDER_INFO", namespace=SlmOrderInfoMapper.class)
public class SlmOrderInfoNline extends BaseVO implements Serializable {
	/**
	 * 2.4.2.1	订单信息表
	 */
	private static final long serialVersionUID = -3689557240388787204L;

	@Id
	//订单编号(CONTRACT_LINE_NO+3位流水)
	private String order_no;

	@Column
	//合同头主键
	private String contract_pk;

	@Column
	//合同号
	private String contract_no;

	@Column
	//合同行号
	private String contract_line_no;

	@Column
	//合同行序号
	private String contract_line_seq;

	@Column
	//订单序号
	private String order_seq;

	@Column
	//客户编号
	private String customer_no;

	@Column
	//客户名称
	private String customer_name;

	@Column
	// 工艺要求
		private String process;
	
	@Column
	//产品规范码编号
	private String psc;

	@Column
	//产品规范码名称
	private String psc_desc;

	@Column
	//出厂价
	private Double out_price;

	@Column
	//结算价
	private Double balance_price;

	@Column
	//计价方式编号（1018）
	private String price_type_no;

	@Column
	//计价方式名称（1随行就市 2锁价）
	private String price_type_name;

	@Column
	//是否含税（1含税 0不含税）
	private String is_tax;

	@Column
	//订货量
	private Double order_quantity;

	@Column
	//订货计量单位编号
	private String quantity_unit_no;

	@Column
	//订货计量单位名称
	private String quantity_unit_name;

	@Column
	//估算重量
	private Double estimate_weight;

	@Column
	//计量单位编号
	private String estimate_weight_unit_no;

	@Column
	//计量单位名称
	private String estimate_weight_unit_name;

	@Column
	//总保长
	private Double ensu_total_len;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd")
	//交货期
	private Date deliver_date;

	@Column
	//供货单位编号
	private String supplier_unit_no;

	@Column
	//供货单位
	private String supplier_unit_name;

	@Column
	//供货地址
	private String supplier_address;

	@Column
	//收货单位编号
	private String reciver_unit_no;

	@Column
	//收货单位
	private String reciver_unit_name;

	@Column
	//收货地址
	private String reciver_address;

	@Column
	//结算单位编号
	private String balance_unit_no;

	@Column
	//结算单位
	private String balance_unit_name;

	@Column
	//运输方案编号
	private String solutions_no;

	@Column
	//加工配送价
	private Double work_price;
	
	@Column
	//加工价
	private Double process_price;
	
	@Column
	//运费
	private Double trade_price;

	@Column
	//订单属性 1：原料卷；2：需加工；3：非计划(现货) 4. 冷轧  5。酸洗
	private String order_nature;

	@Column
	//自提标志(1：是；0：否)
	private String is_pickup;

	@Column
	//是否补量(1：是 0：否 0代表正常录入 交货量需要统计到合同行，1代表补量，不计入合同行)
	private String is_add;

	@Column
	//是否放弃利库(提报时是否放弃利库(1是，0否))
	private String is_liku;

	@Column
	//不利库原因
	private String not_liku_reason;

	@Column
	//不利库原因审核(L未审核 S通过 F 失败)
	private String not_liku_check;

	@Column
	//是否锁定(1'锁定，'0'未锁定)
	private String is_lock;

	@Column
	//前订单状态编号（0027）
	private String p_order_flag_no;

	@Column
	//前订单状态名称
	private String p_order_flag_name;

	@Column
	//订单状态编号（0027）(1编辑、2交期评审中、3评审通过（3、正常通过，4、强制通过）、5评审不通过、6下发、7接收、8生产、9缴库、10发货、11结算、12关闭)
	private String order_flag_no;

	@Column
	//订单状态名称
	private String order_flag_name;

	@Column
	//装车地点
	private String loading_address;

	@Column
	//冶金规范码编号
	private String msc;

	@Column
	//冶金规范码名称
	private String msc_desc;

	@Column
	//冶金规范类型编号
	private String msc_type_no;

	@Column
	//冶金规范类型名称
	private String msc_type_name;

	@Column
	//用途码编号
	private String use_code;

	@Column
	//用途码名称
	private String use_desc;

	@Column
	//品种分类编号
	private String prod_cls_no;

	@Column
	//品种分类名称
	private String prod_cls_name;

	@Column
	//品名代码
	private String prod_code;

	@Column
	//品名名称
	private String prod_name;

	@Column
	//标准代码
	private String std_code;

	@Column
	//标准名称
	private String std_name;

	@Column
	//钢级(牌号)代码
	private String steel_code;

	@Column
	//钢级(牌号)名称
	private String steel_name;

	@Column
	//标准类别代码
	private String std_type_no;

	@Column
	//标准类别名称
	private String std_type_name;

	@Column
	//产品形态编号
	private String prod_figure_no;

	@Column
	//产品形态名称
	private String prod_figure_name;

	@Column
	//交货状态编号
	private String delivery_state_code;

	@Column
	//交货状态
	private String delivery_state_desc;

	@Column
	//最终用户编号
	private String user_no;

	@Column
	//最终用户名称
	private String user_name;

	@Column
	//附加要求编码
	private String add_ask_no;

	@Column
	//附加要求描述
	private String add_ask_desc;

	@Column
	//客户Alpha编号
	private String customer_alpha_no;

	@Column
	//客户Alpha描述
	private String customer_alpha_desc;

	@Column
	//备注
	private String memo;

	@Column
	//有效标志(0：无效；1:有效)
	private String valid_flag;

	@Column
	//下发人编号
	private String issuer_man_no;

	@Column
	//下发人姓名
	private String issuer_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//下发时间
	private Date issuer_time;

	@Column
	//计重方式编号
	private String weight_type_no;

	@Column
	//计重方式名称
	private String weight_type_name;
	
	@Column
	//采购合同号
	private String purchase_contract_no;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	
	@Column
	//第一条加工计划的备注
	private String plan_memo;
	
	@Column
	//精度类型代码（COM_BASE_INFO.SORT_CODE='4112'）
	private String precisicon_type_code;
	
	@Column
	//精度类型名称（COM_BASE_INFO.SORT_CODE='4112'）
	private String precisicon_type_desc;
	
	@Column
	//精度等级代码(4041)
	private String lv_code;
	
	@Column
	//精度等级名称(4041)
	private String lv_desc;
	
	@Column
	//是否整卷0 否 1是
	private String whole_coil;
	
	@Column
	//订单变更状态  0未变更 1变更无效 2变更中 3变更有效 4可变更
	private String change_flag;
	
	@Column
	//变更内容
	private String change_content;
	
	@Column
	//变更内容 
	private String change_content_name;
	
	@Column
	//母订单号
	private String p_order_no;
	
	@Column
	//拆分状态 0否 1是
	private String is_split;

	private List<SlmOrderInfo> list;

	//运输方案名称
	private String solutions_name;

	//合同文本号
	private String txt_contract_no;

	//宽
	private Double width;

	//厚(壁厚)
	private Double thick;

	//长
	private Double length;

	//订单汇总重量
	private Double all_weight;

	//订单汇总量
	private Double all_quantity;

	//有效提单的已发总重量
	private Double total_bill_weight;

	//有效提单的可发总重量
	private Double unshipped_bill_weight;
	
	//有效提单的未总重量
		private Double undisposed_bill_weight;

	//有效提单的已发总量
	private Double total_bill_quantity;

	//是否有加工计划
	private String have_plan;

	//排产量
	private Double order_weight;

	//发货量
	private Double bill_weight;

	//结算量
	private Double settle_weight;
	
	//销售订单号
	private String sale_order_no;
	
	//颜色 2 黄色 3红色
	private String colour;
	
	private List<SlmContractLineLv> lv_list;
	
	private List<SlmContractBaseStation> station_list;
	
	//加工计划
	private SlmProcessPlan plan;

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String orderNo) {
		order_no = orderNo;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contractNo) {
		contract_no = contractNo;
	}

	public Double getEstimate_weight() {
		return estimate_weight;
	}

	public void setEstimate_weight(Double estimateWeight) {
		estimate_weight = estimateWeight;
	}

	public String getContract_line_no() {
		return contract_line_no;
	}

	public void setContract_line_no(String contractLineNo) {
		contract_line_no = contractLineNo;
	}

	public String getContract_line_seq() {
		return contract_line_seq;
	}

	public void setContract_line_seq(String contractLineSeq) {
		contract_line_seq = contractLineSeq;
	}

	public String getOrder_seq() {
		return order_seq;
	}

	public void setOrder_seq(String orderSeq) {
		order_seq = orderSeq;
	}

	public Double getOrder_quantity() {
		return order_quantity;
	}

	public void setOrder_quantity(Double orderQuantity) {
		order_quantity = orderQuantity;
	}

	public String getQuantity_unit_no() {
		return quantity_unit_no;
	}

	public void setQuantity_unit_no(String quantityUnitNo) {
		quantity_unit_no = quantityUnitNo;
	}

	public Double getEnsu_total_len() {
		return ensu_total_len;
	}

	public void setEnsu_total_len(Double ensuTotalLen) {
		ensu_total_len = ensuTotalLen;
	}

	public Date getDeliver_date() {
		return deliver_date;
	}

	public void setDeliver_date(Date deliverDate) {
		deliver_date = deliverDate;
	}

	public String getSupplier_unit_no() {
		return supplier_unit_no;
	}

	public void setSupplier_unit_no(String supplierUnitNo) {
		supplier_unit_no = supplierUnitNo;
	}

	public String getSupplier_unit_name() {
		return supplier_unit_name;
	}

	public void setSupplier_unit_name(String supplierUnitName) {
		supplier_unit_name = supplierUnitName;
	}

	public String getSupplier_address() {
		return supplier_address;
	}

	public void setSupplier_address(String supplierAddress) {
		supplier_address = supplierAddress;
	}

	public String getReciver_unit_no() {
		return reciver_unit_no;
	}

	public void setReciver_unit_no(String reciverUnitNo) {
		reciver_unit_no = reciverUnitNo;
	}

	public String getReciver_unit_name() {
		return reciver_unit_name;
	}

	public void setReciver_unit_name(String reciverUnitName) {
		reciver_unit_name = reciverUnitName;
	}

	public String getReciver_address() {
		return reciver_address;
	}

	public void setReciver_address(String reciverAddress) {
		reciver_address = reciverAddress;
	}

	public String getSolutions_no() {
		return solutions_no;
	}

	public void setSolutions_no(String solutionsNo) {
		solutions_no = solutionsNo;
	}

	public String getIs_pickup() {
		return is_pickup;
	}

	public void setIs_pickup(String isPickup) {
		is_pickup = isPickup;
	}

	public String getIs_add() {
		return is_add;
	}

	public void setIs_add(String isAdd) {
		is_add = isAdd;
	}

	public String getIs_liku() {
		return is_liku;
	}

	public void setIs_liku(String isLiku) {
		is_liku = isLiku;
	}

	public String getNot_liku_reason() {
		return not_liku_reason;
	}

	public void setNot_liku_reason(String notLikuReason) {
		not_liku_reason = notLikuReason;
	}

	public String getNot_liku_check() {
		return not_liku_check;
	}

	public void setNot_liku_check(String notLikuCheck) {
		not_liku_check = notLikuCheck;
	}

	public String getIs_lock() {
		return is_lock;
	}

	public void setIs_lock(String isLock) {
		is_lock = isLock;
	}

	public String getP_order_flag_no() {
		return p_order_flag_no;
	}

	public void setP_order_flag_no(String pOrderFlagNo) {
		p_order_flag_no = pOrderFlagNo;
	}

	public String getP_order_flag_name() {
		return p_order_flag_name;
	}

	public void setP_order_flag_name(String pOrderFlagName) {
		p_order_flag_name = pOrderFlagName;
	}

	public String getOrder_flag_no() {
		return order_flag_no;
	}

	public void setOrder_flag_no(String orderFlagNo) {
		order_flag_no = orderFlagNo;
	}

	public String getOrder_flag_name() {
		return order_flag_name;
	}

	public void setOrder_flag_name(String orderFlagName) {
		order_flag_name = orderFlagName;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String validFlag) {
		valid_flag = validFlag;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String createManNo) {
		create_man_no = createManNo;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String createManName) {
		create_man_name = createManName;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date createTime) {
		create_time = createTime;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String updateManNo) {
		update_man_no = updateManNo;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String updateManName) {
		update_man_name = updateManName;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date updateTime) {
		update_time = updateTime;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String deleteManNo) {
		delete_man_no = deleteManNo;
	}

	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String deleteManName) {
		delete_man_name = deleteManName;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date deleteTime) {
		delete_time = deleteTime;
	}

	public String getContract_pk() {
		return contract_pk;
	}

	public void setContract_pk(String contractPk) {
		contract_pk = contractPk;
	}

	public String getEstimate_weight_unit_no() {
		return estimate_weight_unit_no;
	}

	public void setEstimate_weight_unit_no(String estimateWeightUnitNo) {
		estimate_weight_unit_no = estimateWeightUnitNo;
	}

	public String getEstimate_weight_unit_name() {
		return estimate_weight_unit_name;
	}

	public void setEstimate_weight_unit_name(String estimateWeightUnitName) {
		estimate_weight_unit_name = estimateWeightUnitName;
	}

	public String getIssuer_man_no() {
		return issuer_man_no;
	}

	public void setIssuer_man_no(String issuerManNo) {
		issuer_man_no = issuerManNo;
	}

	public String getIssuer_man_name() {
		return issuer_man_name;
	}

	public void setIssuer_man_name(String issuerManName) {
		issuer_man_name = issuerManName;
	}

	public Date getIssuer_time() {
		return issuer_time;
	}

	public void setIssuer_time(Date issuerTime) {
		issuer_time = issuerTime;
	}

	public void setList(List<SlmOrderInfo> list) {
		this.list = list;
	}

	public List<SlmOrderInfo> getList() {
		return list;
	}

	public String getPsc() {
		return psc;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public String getPsc_desc() {
		return psc_desc;
	}

	public void setPsc_desc(String pscDesc) {
		psc_desc = pscDesc;
	}

	public String getLoading_address() {
		return loading_address;
	}

	public void setLoading_address(String loadingAddress) {
		loading_address = loadingAddress;
	}

	public String getBalance_unit_no() {
		return balance_unit_no;
	}

	public void setBalance_unit_no(String balanceUnitNo) {
		balance_unit_no = balanceUnitNo;
	}

	public String getBalance_unit_name() {
		return balance_unit_name;
	}

	public void setBalance_unit_name(String balanceUnitName) {
		balance_unit_name = balanceUnitName;
	}

	public Double getOut_price() {
		return out_price;
	}

	public void setOut_price(Double outPrice) {
		out_price = outPrice;
	}

	public Double getBalance_price() {
		return balance_price;
	}

	public void setBalance_price(Double balancePrice) {
		balance_price = balancePrice;
	}

	public String getPrice_type_no() {
		return price_type_no;
	}

	public void setPrice_type_no(String priceTypeNo) {
		price_type_no = priceTypeNo;
	}

	public String getPrice_type_name() {
		return price_type_name;
	}

	public void setPrice_type_name(String priceTypeName) {
		price_type_name = priceTypeName;
	}

	public String getIs_tax() {
		return is_tax;
	}

	public void setIs_tax(String isTax) {
		is_tax = isTax;
	}

	public void setQuantity_unit_name(String quantity_unit_name) {
		this.quantity_unit_name = quantity_unit_name;
	}

	public String getQuantity_unit_name() {
		return quantity_unit_name;
	}

	public void setSolutions_name(String solutions_name) {
		this.solutions_name = solutions_name;
	}

	public String getSolutions_name() {
		return solutions_name;
	}

	public String getCustomer_no() {
		return customer_no;
	}

	public void setCustomer_no(String customerNo) {
		customer_no = customerNo;
	}

	public String getCustomer_name() {
		return customer_name;
	}

	public void setCustomer_name(String customerName) {
		customer_name = customerName;
	}

	public void setTxt_contract_no(String txt_contract_no) {
		this.txt_contract_no = txt_contract_no;
	}

	public String getTxt_contract_no() {
		return txt_contract_no;
	}

	public String getWeight_type_no() {
		return weight_type_no;
	}

	public void setWeight_type_no(String weightTypeNo) {
		weight_type_no = weightTypeNo;
	}

	public String getWeight_type_name() {
		return weight_type_name;
	}

	public void setWeight_type_name(String weightTypeName) {
		weight_type_name = weightTypeName;
	}

	public Double getWork_price() {
		return work_price;
	}

	public void setWork_price(Double workPrice) {
		work_price = workPrice;
	}

	public String getOrder_nature() {
		return order_nature;
	}

	public void setOrder_nature(String orderNature) {
		order_nature = orderNature;
	}

	public String getMsc() {
		return msc;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}

	public String getMsc_desc() {
		return msc_desc;
	}

	public void setMsc_desc(String msc_desc) {
		this.msc_desc = msc_desc;
	}

	public String getMsc_type_no() {
		return msc_type_no;
	}

	public void setMsc_type_no(String msc_type_no) {
		this.msc_type_no = msc_type_no;
	}

	public String getMsc_type_name() {
		return msc_type_name;
	}

	public void setMsc_type_name(String msc_type_name) {
		this.msc_type_name = msc_type_name;
	}

	public String getUse_code() {
		return use_code;
	}

	public void setUse_code(String use_code) {
		this.use_code = use_code;
	}

	public String getUse_desc() {
		return use_desc;
	}

	public void setUse_desc(String use_desc) {
		this.use_desc = use_desc;
	}

	public String getProd_cls_no() {
		return prod_cls_no;
	}

	public void setProd_cls_no(String prod_cls_no) {
		this.prod_cls_no = prod_cls_no;
	}

	public String getProd_cls_name() {
		return prod_cls_name;
	}

	public void setProd_cls_name(String prod_cls_name) {
		this.prod_cls_name = prod_cls_name;
	}

	public String getProd_code() {
		return prod_code;
	}

	public void setProd_code(String prod_code) {
		this.prod_code = prod_code;
	}

	public String getProd_name() {
		return prod_name;
	}

	public void setProd_name(String prod_name) {
		this.prod_name = prod_name;
	}

	public String getStd_code() {
		return std_code;
	}

	public void setStd_code(String std_code) {
		this.std_code = std_code;
	}

	public String getStd_name() {
		return std_name;
	}

	public void setStd_name(String std_name) {
		this.std_name = std_name;
	}

	public String getSteel_code() {
		return steel_code;
	}

	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}

	public String getSteel_name() {
		return steel_name;
	}

	public void setSteel_name(String steel_name) {
		this.steel_name = steel_name;
	}

	public String getStd_type_no() {
		return std_type_no;
	}

	public void setStd_type_no(String std_type_no) {
		this.std_type_no = std_type_no;
	}

	public String getStd_type_name() {
		return std_type_name;
	}

	public void setStd_type_name(String std_type_name) {
		this.std_type_name = std_type_name;
	}

	public String getProd_figure_no() {
		return prod_figure_no;
	}

	public void setProd_figure_no(String prod_figure_no) {
		this.prod_figure_no = prod_figure_no;
	}

	public String getProd_figure_name() {
		return prod_figure_name;
	}

	public void setProd_figure_name(String prod_figure_name) {
		this.prod_figure_name = prod_figure_name;
	}

	public String getDelivery_state_code() {
		return delivery_state_code;
	}

	public void setDelivery_state_code(String delivery_state_code) {
		this.delivery_state_code = delivery_state_code;
	}

	public String getDelivery_state_desc() {
		return delivery_state_desc;
	}

	public void setDelivery_state_desc(String delivery_state_desc) {
		this.delivery_state_desc = delivery_state_desc;
	}

	public String getUser_no() {
		return user_no;
	}

	public void setUser_no(String user_no) {
		this.user_no = user_no;
	}

	public String getUser_name() {
		return user_name;
	}

	public void setUser_name(String user_name) {
		this.user_name = user_name;
	}

	public String getAdd_ask_no() {
		return add_ask_no;
	}

	public void setAdd_ask_no(String add_ask_no) {
		this.add_ask_no = add_ask_no;
	}

	public String getAdd_ask_desc() {
		return add_ask_desc;
	}

	public void setAdd_ask_desc(String add_ask_desc) {
		this.add_ask_desc = add_ask_desc;
	}

	public String getCustomer_alpha_no() {
		return customer_alpha_no;
	}

	public void setCustomer_alpha_no(String customer_alpha_no) {
		this.customer_alpha_no = customer_alpha_no;
	}

	public String getCustomer_alpha_desc() {
		return customer_alpha_desc;
	}

	public void setCustomer_alpha_desc(String customer_alpha_desc) {
		this.customer_alpha_desc = customer_alpha_desc;
	}

	public Double getWidth() {
		return width;
	}

	public void setWidth(Double width) {
		this.width = width;
	}

	public Double getThick() {
		return thick;
	}

	public void setThick(Double thick) {
		this.thick = thick;
	}

	public Double getLength() {
		return length;
	}

	public void setLength(Double length) {
		this.length = length;
	}

	public Double getTotal_bill_weight() {
		return total_bill_weight;
	}

	public void setTotal_bill_weight(Double total_bill_weight) {
		this.total_bill_weight = total_bill_weight;
	}

	public Double getTotal_bill_quantity() {
		return total_bill_quantity;
	}

	public void setTotal_bill_quantity(Double total_bill_quantity) {
		this.total_bill_quantity = total_bill_quantity;
	}

	public Double getAll_weight() {
		return all_weight;
	}

	public void setAll_weight(Double all_weight) {
		this.all_weight = all_weight;
	}

	public Double getAll_quantity() {
		return all_quantity;
	}

	public void setAll_quantity(Double all_quantity) {
		this.all_quantity = all_quantity;
	}

	public String getHave_plan() {
		return have_plan;
	}

	public void setHave_plan(String have_plan) {
		this.have_plan = have_plan;
	}

	public Double getUnshipped_bill_weight() {
		return unshipped_bill_weight;
	}

	public void setUnshipped_bill_weight(Double unshipped_bill_weight) {
		this.unshipped_bill_weight = unshipped_bill_weight;
	}

	public Double getOrder_weight() {
		return order_weight;
	}

	public void setOrder_weight(Double order_weight) {
		this.order_weight = order_weight;
	}

	public Double getBill_weight() {
		return bill_weight;
	}

	public void setBill_weight(Double bill_weight) {
		this.bill_weight = bill_weight;
	}

	public Double getSettle_weight() {
		return settle_weight;
	}

	public void setSettle_weight(Double settle_weight) {
		this.settle_weight = settle_weight;
	}

	public String getPurchase_contract_no() {
		return purchase_contract_no;
	}

	public void setPurchase_contract_no(String purchase_contract_no) {
		this.purchase_contract_no = purchase_contract_no;
	}

	public String getSale_order_no() {
		return sale_order_no;
	}

	public void setSale_order_no(String sale_order_no) {
		this.sale_order_no = sale_order_no;
	}

	public Double getUndisposed_bill_weight() {
		return undisposed_bill_weight;
	}

	public void setUndisposed_bill_weight(Double undisposed_bill_weight) {
		this.undisposed_bill_weight = undisposed_bill_weight;
	}

	public String getPlan_memo() {
		return plan_memo;
	}

	public void setPlan_memo(String plan_memo) {
		this.plan_memo = plan_memo;
	}

	public String getColour() {
		return colour;
	}

	public void setColour(String colour) {
		this.colour = colour;
	}

	public String getPrecisicon_type_code() {
		return precisicon_type_code;
	}

	public void setPrecisicon_type_code(String precisicon_type_code) {
		this.precisicon_type_code = precisicon_type_code;
	}

	public String getPrecisicon_type_desc() {
		return precisicon_type_desc;
	}

	public void setPrecisicon_type_desc(String precisicon_type_desc) {
		this.precisicon_type_desc = precisicon_type_desc;
	}

	public String getLv_code() {
		return lv_code;
	}

	public void setLv_code(String lv_code) {
		this.lv_code = lv_code;
	}

	public String getLv_desc() {
		return lv_desc;
	}

	public void setLv_desc(String lv_desc) {
		this.lv_desc = lv_desc;
	}

	public String getWhole_coil() {
		return whole_coil;
	}

	public void setWhole_coil(String whole_coil) {
		this.whole_coil = whole_coil;
	}

	public List<SlmContractLineLv> getLv_list() {
		return lv_list;
	}

	public void setLv_list(List<SlmContractLineLv> lv_list) {
		this.lv_list = lv_list;
	}

	public String getProcess() {
		return process;
	}

	public void setProcess(String process) {
		this.process = process;
	}

	public List<SlmContractBaseStation> getStation_list() {
		return station_list;
	}

	public void setStation_list(List<SlmContractBaseStation> station_list) {
		this.station_list = station_list;
	}

	public String getChange_flag() {
		return change_flag;
	}

	public void setChange_flag(String change_flag) {
		this.change_flag = change_flag;
	}

	public String getChange_content() {
		return change_content;
	}

	public void setChange_content(String change_content) {
		this.change_content = change_content;
	}

	public String getChange_content_name() {
		return change_content_name;
	}

	public void setChange_content_name(String change_content_name) {
		this.change_content_name = change_content_name;
	}

	public SlmProcessPlan getPlan() {
		return plan;
	}

	public void setPlan(SlmProcessPlan plan) {
		this.plan = plan;
	}

	public String getP_order_no() {
		return p_order_no;
	}

	public void setP_order_no(String p_order_no) {
		this.p_order_no = p_order_no;
	}

	public String getIs_split() {
		return is_split;
	}

	public void setIs_split(String is_split) {
		this.is_split = is_split;
	}

	public Double getProcess_price() {
		return process_price;
	}
	public void setProcess_price(Double process_price) {
		this.process_price = process_price;
	}
	
	public Double getTrade_price() {
		return trade_price;
	}

	public void setTrade_price(Double trade_price) {
		this.trade_price = trade_price;
	}
	
	//包装要求 20191112 订单维护界面查询显示
	@Column
	private String pk_ask_desc;
	public String getPk_ask_desc() {
		return pk_ask_desc;
	}
	public void setPk_ask_desc(String pk_ask_desc) {
		this.pk_ask_desc = pk_ask_desc;
	}
	
	@Column
	private String pk_ask_code;
	public String getPk_ask_code() {
		return pk_ask_code;
	}
	public void setPk_ask_code(String pk_ask_code) {
		this.pk_ask_code = pk_ask_code;
	}
	
	//订单厚度
	private String order_thick;
	public String getOrder_thick() {
		return order_thick;
	}
	public void setOrder_thick(String order_thick) {
		this.order_thick = order_thick;
	}
	//订单宽度
	private String order_width;
	public String getOrder_width() {
		return order_width;
	}
	public void setOrder_width(String order_width) {
		this.order_width = order_width;
	}
	
	//单支重量
	private String single_weight;
	public String getSingle_weight() {
		return single_weight;
	}

	public void setSingle_weight(String single_weight) {
		this.single_weight = single_weight;
	}
	
	/*
	 * 是否涂油
	 */
	@Column
	private String is_oil;  
	public String getIs_oil() {
		return is_oil;
	}
	public void setIs_oil(String is_oil) {
		this.is_oil = is_oil;
	}
	
	/*
	 * 是否切边
	 */
	@Column
	private String  is_side_cute; 
	public String getIs_side_cute() {
		return is_side_cute;
	}
	public void setIs_side_cute(String is_side_cute) {
		this.is_side_cute = is_side_cute;
	}
	
	/*
	 * 质量等级编码
	 */
	@Column
	private String level_code; 
	public String getLevel_code() {
		return level_code;
	}
	public void setLevel_code(String level_code) {
		this.level_code = level_code;
	}
	
	/*
	 * 质量等级 FA
	 */
	@Column
	private String level_name;
	public String getLevel_name() {
		return level_name;
	}
	public void setLevel_name(String level_name) {
		this.level_name = level_name;
	}
	
	/*
	 * 内径需求 508/610
	 */
	@Column
	private String india_require;
	public String getIndia_require() {
		return india_require;
	}
	public void setIndia_require(String india_require) {
		this.india_require = india_require;
	} 
	
	/*
	 * 厚度下限
	 */
	@Column
	private String thick_min;
	public String getThick_min() {
		return thick_min;
	}
	public void setThick_min(String thick_min) {
		this.thick_min = thick_min;
	}
	
	/*
	 * 厚度上限
	 */
	@Column
	private String thick_max;
	public String getThick_max() {
		return thick_max;
	}
	public void setThick_max(String thick_max) {
		this.thick_max = thick_max;
	}
	
	/*
	 * 宽度下限
	 */
	@Column
	private String width_min;
	public String getWidth_min() {
		return width_min;
	}
	public void setWidth_min(String width_min) {
		this.width_min = width_min;
	}
	
	/*
	 * 宽度上限
	 */
	@Column
	private String width_max;
	public String getWidth_max() {
		return width_max;
	} 
	public void setWidth_max(String width_max) {
		this.width_max = width_max;
	}
	
	/**
	 * 是否超过交货期(1:是  0否)
	 */
	@Column
	private String is_over_delivery;
	public String getIs_over_delivery() {
		return is_over_delivery;
	}
	public void setIs_over_delivery(String is_over_delivery) {
		this.is_over_delivery = is_over_delivery;
	}
	
	/**
	 * 超交货期备注信息
	 */
	@Column
	private String delivery_memo;
	public String getDelivery_memo() {
		return delivery_memo;
	}
	public void setDelivery_memo(String delivery_memo) {
		this.delivery_memo = delivery_memo;
	}
	
	
	
	@Column
	//切边方式名称
	private String cut_edge_type_name;
	public String  getCut_edge_type_name() {
		return this.cut_edge_type_name;
	}
	public void setCut_edge_type_name(String cut_edge_type_name) {
		this.cut_edge_type_name = cut_edge_type_name;
	}
	
	@Column
	//交货量误差上限
	private Double delivery_error_max;
	public Double  getDelivery_error_max() {
		return this.delivery_error_max;
	}
	public void setDelivery_error_max(Double delivery_error_max) {
		this.delivery_error_max = delivery_error_max;
	}

	@Column
	//交货量误差下限
	private Double delivery_error_min;
	public Double  getDelivery_error_min() {
		return this.delivery_error_min;
	}
	public void setDelivery_error_min(Double delivery_error_min) {
		this.delivery_error_min = delivery_error_min;
	}
	
	// Single_weight_max
	@Column
	//单重上限
	private Double single_weight_max;
	public Double  getSingle_weight_max() {
		return this.single_weight_max;
	}
	public void setSingle_weight_max(Double single_weight_max) {
		this.single_weight_max = single_weight_max;
	}
	
	// Single_weight_min
	@Column
	//单重下限
	private Double single_weight_min;
	public Double  getSingle_weight_min() {
		return this.single_weight_min;
	}
	public void setSingle_weight_min(Double single_weight_min) {
		this.single_weight_min = single_weight_min;
	}
	
	@Column
	//交货量误差率
	private Double delivery_error_rate;
	public Double getDelivery_error_rate() {
		return delivery_error_rate;
	}
	public void setDelivery_error_rate(Double deliveryErrorRate) {
		delivery_error_rate = deliveryErrorRate;
	}
	
	// 加工计划
	//接收对象的集合
	private List<SlmProcessPlan> objectList;
	
	public List<SlmProcessPlan> getObjectList() {
		return objectList;
	}
	
	public void setObjectList(List<SlmProcessPlan> objectList) {
		this.objectList = objectList;
	}
	
}
